{assign var="gtag_id" value=$addons.rf_google_ecommerce.rf_google_ecommerce_google_id|strval}
{assign var="ee_enable" value=$addons.rf_google_ecommerce.rf_google_ecommerce_enhanced_ecommerce|strval}
{assign var="debug_enable" value=$addons.rf_google_ecommerce.rf_google_ecommerce_debugview|strval}
{assign var="gtag_dataLayer" value=$addons.rf_google_ecommerce.rf_google_ecommerce_google_dataLayer|strval}

{if $runtime.controller == "categories" && $runtime.mode == "view"}
	{$list_name = "categorylist"}
{elseif $runtime.controller == "products" && $runtime.mode == "search"}
	{$list_name = "search"}
{elseif $runtime.controller == "products" && $runtime.mode == "view"}
	{$list_name = "product"}
{elseif $runtime.controller == "index" && $runtime.mode == "index"}
	{$list_name = "homepage"}
{else}
	{$list_name = "block"}
{/if}

{if !empty($gtag_id)}

<script async src="https://www.googletagmanager.com/gtag/js?id={$gtag_id}&l={$gtag_dataLayer}"></script>
<script type="text/javascript">
	GTAG_ID = '{$gtag_id}';
	GTAG_PRIMARY_CURRENCY = '{$smarty.const.CART_PRIMARY_CURRENCY}';
	window.{$gtag_dataLayer} = window.{$gtag_dataLayer} || [];
	function gtag () {ldelim}
		{$gtag_dataLayer}.push(arguments);
	{rdelim}
	gtag('js', new Date());
	gtag('config', GTAG_ID{if $debug_enable == "Y"}, {ldelim}'debug_mode': true{rdelim}{/if});
{if $runtime.controller == "products" && $runtime.mode == "view"}
	gtag('event', 'view_item', {ldelim}
	  items: [{ldelim}
		item_id: "{$product|fn_rf_google_ecommerce_get_product_id}",
		item_name: "{$product.product|escape:"javascript"}",
		item_category: "{$product.product_id|fn_rf_google_ecommerce_get_categories_path}",
		price: {$product.price|floatval},
		currency: GTAG_PRIMARY_CURRENCY,
{$brand = $product.product_id|fn_rf_google_ecommerce_get_brand}
{if !empty($brand)}
		item_brand: "{$brand}",
{/if}
	  {rdelim}]
	{rdelim});
{if $ee_enable == "Y"}
	{$gtag_dataLayer}.push({ldelim}
	  'ecommerce': {ldelim}
	    'currencyCode': GTAG_PRIMARY_CURRENCY,
	    'detail': {ldelim}
	      'actionField': {ldelim}'list': '{$product.main_category|fn_get_category_name}'{rdelim},
	      'products': [{ldelim}
	        id: "{$product|fn_rf_google_ecommerce_get_product_id}",
	        name: "{$product.product|escape:"javascript"}",
	        category: "{$product.product_id|fn_rf_google_ecommerce_get_categories_path}",
	        price: {$product.price|floatval},
{$brand = $product.product_id|fn_rf_google_ecommerce_get_brand}
{if !empty($brand)}
	        brand: "{$brand}",
{/if}
	      {rdelim}]
	    {rdelim}
	  {rdelim},
	  'event': 'gtm-ee-event',
	  'gtm-ee-event-category': 'Enhanced Ecommerce',
	  'gtm-ee-event-action': 'Product Details',
	  'gtm-ee-event-non-interaction': 'True'
	{rdelim});
{/if}
{/if}

	$(document).ready(function () {ldelim}
		var items_click = $("form[name^='product_form_'] .cm-image:not([onclick])");
		$(items_click).on("click", function (e) {ldelim}
			if (!$(this).parents("div[id^='features_']").length) {
				e.preventDefault();
				var product_id = $(this).parents("form[name^='product_form_']").find("input[type='hidden'][name$='[product_id]']").val();
				var data = {ldelim}
					method: 'post',
					data: {ldelim}
						product_id: product_id,
					{rdelim},
					caching: false,
					hidden: true,
					callback: function(response) {ldelim}
						var result = JSON.parse(response.text);
						if (result.status == "success") {ldelim}
							gtag('event', 'select_content', {ldelim}
								content_type: "product",
								items: [
									{ldelim}
										item_id: result.data.id,
										item_name: result.data.name,
										item_list_name: "{$list_name}",
										item_category: result.data.category,
										item_brand: result.data.brand,
										price: result.data.price,
										currency: GTAG_PRIMARY_CURRENCY
									{rdelim}
								]
							{rdelim});
	{if $ee_enable == "Y"}
							{$gtag_dataLayer}.push({ldelim}
								'ecommerce': {ldelim}
									'currencyCode': GTAG_PRIMARY_CURRENCY,
									'click': {ldelim}
										'actionField': {ldelim}'list': result.data.list{rdelim},
										'products': [{ldelim}
											id: result.data.id,
											name: result.data.name,
											category: result.data.category,
											brand: result.data.brand,
											price: result.data.price
										{rdelim}]
									{rdelim}
								{rdelim},
								'event': 'gtm-ee-event',
								'gtm-ee-event-category': 'Enhanced Ecommerce',
								'gtm-ee-event-action': 'Product Clicks',
								'gtm-ee-event-non-interaction': 'False'
							{rdelim});
	{/if}
						{rdelim}
						document.location.href = result.data.redirect;
					{rdelim}
				{rdelim};
				$.ceAjax('request', fn_url('products.get_info'), data);
			}
		});
 
 		$(document).on("click", "form[id^='form_call_request_'] button[type='submit']", function (e) {ldelim}
			var product_id = $("form[id^='form_call_request_']").find("input[name='call_data[product_id]']").val();
			var data = {ldelim}
				method: 'post',
				data: {ldelim}
					product_id: product_id
				{rdelim},
				caching: false,
				hidden: true,
				callback: function(response) {ldelim}
					var result = JSON.parse(response.text);
					if (result.status == "success") {ldelim}
						gtag('event', 'purchase', {ldelim}
							affiliation: "Fast Order (1 Click)",
							items: [
								{ldelim}
									item_id: result.data.id,
									item_name: result.data.name,
									item_list_name: result.data.list,
									item_category: result.data.category,
									item_brand: result.data.brand,
									price: result.data.price,
									currency: GTAG_PRIMARY_CURRENCY,
									quantity: 1
								{rdelim}
							]
						{rdelim});
{if $ee_enable == "Y"}
 						{$gtag_dataLayer}.push({ldelim}
							'ecommerce': {ldelim}
								'currencyCode': GTAG_PRIMARY_CURRENCY,
								'purchase': {ldelim}
									'actionField': {ldelim}'affiliation': 'Fast Order (1 Click)'{rdelim},
									'products': [{ldelim}
										'id': result.data.id,
										'name': 'result.data.name',
										'category': 'result.data.category',
										'brand': 'result.data.brand',
										'price': result.data.price,
										'quantity': 1
	      							{rdelim}]
	    						{rdelim}
	    					{rdelim},
	    					'event': 'gtm-ee-event',
	    					'gtm-ee-event-category': 'Enhanced Ecommerce',
	    					'gtm-ee-event-action': 'Purchase',
	    					'gtm-ee-event-non-interaction': 'False'
						{rdelim});
 {/if}
					{rdelim}
				{rdelim}
			{rdelim};
			$.ceAjax('request', fn_url('products.get_info'), data);
		{rdelim});

{if $addons.rf_google_ecommerce.rf_google_ecommerce_transanction_by_btn == "Y"}

		$(document).on("click", "[name='dispatch[checkout.place_order]'], [name='dispatch[onestepcheckout.place_order]']", function (e) {ldelim}
			var form = $(this).parents("form");
			if (form.ceFormValidator('check')) {ldelim}
				var data = {ldelim}
					method: 'post',
					caching: false,
					hidden: true,
					callback: function(response) {ldelim}
						var result = response;
						if (result.status == "success") {ldelim}
							gtag('event', 'purchase', {ldelim}
								transaction_id: '{"orders"|db_get_next_auto_increment_id|default:$smarty.const.TIME}',
								affiliation: "Online Store",
								items: result.products,
								currency: GTAG_PRIMARY_CURRENCY,
								shipping: result.shipping,
								value: result.value,
							{rdelim});
{if $ee_enable == "Y"}
							{$gtag_dataLayer}.push({ldelim}
								'ecommerce': {ldelim}
									'currency': GTAG_PRIMARY_CURRENCY,
									'purchase': {ldelim}
										'actionField': {ldelim}
											'id': '{"orders"|db_get_next_auto_increment_id|default:$smarty.const.TIME}',
											'affiliation': 'Online Store',
											'shipping': result.shipping,
											'revenue': result.value,
										{rdelim},
										'products': result.products_ee
									{rdelim}
								{rdelim},
								'event': 'gtm-ee-event',
								'gtm-ee-event-category': 'Enhanced Ecommerce',
								'gtm-ee-event-action': 'Purchase',
								'gtm-ee-event-non-interaction': 'False'
							{rdelim});
{/if}
						{rdelim}
					{rdelim}
				{rdelim};
				$.ceAjax('request', fn_url('products.send_purchase'), data);

			{rdelim}
		{rdelim});
{/if}
	{rdelim});
</script>

{if !empty($smarty.session.delCart)}
	{include file="addons/rf_google_ecommerce/views/products/components/products_block.tpl" products=$smarty.session.delCart event="removeCart"}
{else}
	{if !empty($products)}
		{include file="addons/rf_google_ecommerce/views/products/components/products_block.tpl" products=$products event="productImpression"}
	{/if}

	{if $runtime.controller == "checkout" && $runtime.mode == "cart" && !empty($cart_products)}
		{include file="addons/rf_google_ecommerce/views/products/components/products_block.tpl" products=$cart_products event="viewCart"}
	{/if}

	{if (($runtime.controller == "checkout" && $runtime.mode == "checkout") || ($runtime.controller == "onestepcheckout" && $runtime.mode == "checkout")) && !empty($cart_products)}
		{include file="addons/rf_google_ecommerce/views/products/components/products_block.tpl" products=$cart_products event="viewCheckout"}
	{/if}

	{if !empty($smarty.session.rf_google_ecommerce_delCart)}
		{include file="addons/rf_google_ecommerce/views/products/components/products_block.tpl" products=$smarty.session.rf_google_ecommerce_delCart event="removeCart"}
	{/if}
{/if}

{/if}
